| v_gamma_lut Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Overview

## Functions
void | XVGammaLut_SetCallback (XV_gamma_lut *InstancePtr, u32 HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...
void | XVGammaLut_InterruptHandler (XV_gamma_lut *InstancePtr)
| This function is the interrupt handler for the Gamma Lut core driver. More...

## Function Documentation

void XVGammaLut_InterruptHandler | ( | XV_gamma_lut * | InstancePtr | ) |

This function is the interrupt handler for the Gamma Lut core driver.

This handler clears the pending interrupt and determined if the source is frame done signal. If yes, starts the next frame processing and calls the registered callback function

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts and installing the callbacks using XVGammaLut_SetCallback() during initialization phase.

Parameters

  InstancePtr | is a pointer to the core instance that just interrupted.

Returns
  None.

Note
  None.

References XV_gamma_lut::CallbackDoneRef, XV_gamma_lut::CallbackReadyRef, and XV_gamma_lut::IsReady.

void XVGammaLut_SetCallback | ( | XV_gamma_lut * | InstancePtr,
|  | u32 | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType                     Callback Function Type

    (XVGAMMA_LUT_HANDLER_DONE)       DoneCallback
    (XVGAMMA_LUT_HANDLER_READY)      ReadyCallback

    Parameters

        InstancePtris a pointer to the GammaLut IP instance.

        CallbackFuncis the address of the callback function.

        CallbackRefis a user data item that will be passed to the
          callback function when it is invoked.

    ReturnsNone.
    NoteInvoking this function for a handler that already has been
          installed replaces it with the new handler.

References XV_gamma_lut::CallbackDoneRef, and XV_gamma_lut::CallbackReadyRef.